- Main Page
- Namespaces
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# BuddhaLib::Vector3 Struct Reference

３次元ベクトル構造体 More...

`#include <BuddhaVector3.h>`

List of all members.

## Public Member Functions
FLOAT | Distance (void)
| ベクトルの長さ（強さ）を取得
FLOAT | DistanceSquared (void)
| ベクトルの長さ（強さ）の二乗を得る
void | Normalize ()
| 単位ベクトル化する
## Static Public Member Functions
static Vector3 | Negate (const Vector3 &value)
| 反ベクトルを返す
static void | Negate (const Vector3 &in, Vector3 &out)
| 反ベクトルを計算する
static FLOAT | Dot (const Vector3 &vector1, const Vector3 &vector2)
| vector1 と vector2 の内積（ドット積）して返す
static Vector3 | Cross (const Vector3 &vector1, const Vector3 &vector2)
| vector1 と vector2 の外積（クロス積）を返す
static Vector3 | Reflect (const Vector3 &value, const Vector3 &normal)
| 反射ベクトルを返す
static void | Reflect (const Vector3 &value, const Vector3 &normal, Vector3 &out)
| 反射ベクトルを得る
static Vector3 | Transform (const Vector3 &vector, const Matrix &matrix)
| 与えられたマトリクスでベクトルを変形させます
static Vector3 | Transform (const Vector3 &vector, const Quaternion &q)
| 指定されたクオータニオンで vector を変形させた値を得ます
static void | Transform (const Vector3 &vector, const Quaternion &q, Vector3 &out)
| 指定されたクオータニオンで vector を変形させ、 out に値を返します
static void | Transform (const Vector3 &vector, const Matrix &matrix, Vector3 &out)
| 与えられたマトリクスでベクトルを変形させ、 out に値を返します
static void | CreateD3DVECTOR (const Vector3 &in, D3DVECTOR &out)
| D3DVECTOR 型に Vector3 型の値をコンバートする.
## Static Public Attributes
static const Vector3 | Zero
| 全値が０のVector3
static const Vector3 | One
| 全値が１のVector3
static const Vector3 | Up
| 上方向を示す単位ベクトル
static const Vector3 | Down
| 下方向を示す単位ベクトル
static const Vector3 | Left
| 左向きの単位ベクトル
static const Vector3 | Right
| 右向きの単位ベクトル
static const Vector3 | Forward
| 正面向きの単位ベクトル
static const Vector3 | Backward
| 後方向きの単位ベクトル
static const Vector3 | UnitX
| Xの単位.
static const Vector3 | UnitY
| Yの単位.
static const Vector3 | UnitZ
| Zの単位.

## Detailed Description

３次元ベクトル構造体

Todo:
  まだ整理が必要

Todo:
  スカラー値に対する演算子オーバーロードは不要かもしれない

Todo:
  クロス積がない...

## Member Function Documentation

FLOAT BuddhaLib::Vector3::DistanceSquared | ( | void |  | ) | `[inline]`

ベクトルの長さ（強さ）の二乗を得る

Remarks:
  この関数は平方根をとらないので Distance() より高速である